FREEFOAM-SURFACEMESHCONVERT(1)

NAME
freefoam-surfaceMeshConvert - Convert between surface formats with optional scaling or transformations (rotate/translate) on a coordinateSystem.

SYNOPSIS

freefoam surfaceMeshConvert <inputfile> <outputFile> [-clean] [-case <dir>] [-scaleIn <scale>] [-srcDoc] [-to <coordinateSystem>] [-help] [-dict <dictionary>] [-scaleOut <scale>] [-from <coordinateSystem>] [-doc]

DESCRIPTION

TODO write detailed description

OPTIONS

<inputfile>
    Surface file to be converted.

<outputFile>
    File into which to write the converted surface.

-clean
    Perform some surface checking/cleanup on the input surface.

-scaleIn <scale>
    Specify a scaling factor when reading files.

-scaleOut <scale>
    Specify a scaling factor when writing files.

-dict <dictionary>
    Specify an alternative dictionary for constant/coordinateSystems.

-from <coordinateSystem>
    Specify a coordinate System when reading files.

-to <coordinateSystem>
    Specify a coordinate System when writing files.

-case <dir>
    Specify the case directory

-help
    Display short usage message

-doc
    Display Doxygen documentation page

-srcDoc
    Display source code

NOTE

The filename extensions are used to determine the file format type.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.